/*
 * Class SEQUENCE [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_698 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_698 [] = {0xFF01,237,697,203,0xFFFF};
static const EIF_TYPE_INDEX egt_2_698 [] = {0xFF01,697,203,0xFFFF};
static const EIF_TYPE_INDEX egt_3_698 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_698 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_698 [] = {0xFF01,697,203,0xFFFF};
static const EIF_TYPE_INDEX egt_6_698 [] = {0xFF01,697,203,0xFFFF};
static const EIF_TYPE_INDEX egt_7_698 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_698 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_698 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_698 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_698 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_698 [] = {697,203,0xFFFF};
static const EIF_TYPE_INDEX egt_13_698 [] = {0xFF01,697,203,0xFFFF};
static const EIF_TYPE_INDEX egt_14_698 [] = {0xFF01,686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_698 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_698 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_698 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_698 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_698[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_698), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_698), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_698), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_698), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_698), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_698), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_698), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_698), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_698), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_698), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_698), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_698), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_698), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_698), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2416, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1905, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1906, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1908, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1909, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_698), 2427, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_698), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2417, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2489, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2419, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_698), 2420, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2421, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_698), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2488, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2423, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2424, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2425, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2426, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2579, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1957, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2580, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2581, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_698), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2582, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2419, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2418, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2578, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
};
void Init698(void)
{
	IDSC(desc_698, 0, 697);
	IDSC(desc_698 + 1, 1, 697);
	IDSC(desc_698 + 32, 77, 697);
	IDSC(desc_698 + 41, 155, 697);
	IDSC(desc_698 + 50, 30, 697);
	IDSC(desc_698 + 57, 282, 697);
	IDSC(desc_698 + 66, 243, 697);
	IDSC(desc_698 + 72, 229, 697);
	IDSC(desc_698 + 73, 294, 697);
	IDSC(desc_698 + 76, 237, 697);
	IDSC(desc_698 + 78, 50, 697);
	IDSC(desc_698 + 79, 35, 697);
}


#ifdef __cplusplus
}
#endif
